<ion-header translucent="false" class="ion-no-border">
  <ion-toolbar color="primary">
    <ion-buttons collapse="true" slot="end">
      <ion-button>Hilfe</ion-button>
    </ion-buttons>
    <ion-title>WeQueue</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen="false">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-buttons collapse="true" slot="end">
        <ion-button>Hilfe</ion-button>
      </ion-buttons>
      <ion-title size="large">WeQueue</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-list>

    <ion-item-divider sticky="true">
      <ion-searchbar #searchBar [(ngModel)]="searchTerm" (ionChange)="setFilteredItems()" placeholder="PLZ, Ort"></ion-searchbar>
    </ion-item-divider>

    <ion-item *ngFor="let queue of queues" [routerLink]="['/ws-detail/', queue.id]" routerDirection="forward">
      <ion-label>
        <h2>{{ queue.name }}</h2>
        <h3>{{ queue.address.address }}, {{ queue.address.plz }} {{ queue.address.city }}</h3>
        <p>{{ queue.category }}</p>
      </ion-label>
      <ion-text slot="end">
        {{ queue.avg_wait_time }} / {{ queue.act_wait_time }}
      </ion-text>
    </ion-item>

  </ion-list>

  <div id="container" *ngIf="!queues.length">

    <ion-button (click)="focusSearch()" fill="outline" color="primary"> 
      Warteschlange suchen
      <ion-icon slot="end" name="search-outline"></ion-icon>
    </ion-button>

    <ion-button fill="outline" color="medium">
      Warteschlange hinzufügen
      <ion-icon slot="end" name="add-circle-outline"></ion-icon>
    </ion-button>

  </div>
  
</ion-content>
